Release a version

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.bump.sh/doc/workspace/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Bump.sh Workspace MCP server": {
    "url": "https://developers.bump.sh/doc/workspace/mcp"
  }
}

Close
POST /versions/{version_id}/release

Release a deployed version, which becomes publicly visible in your documentation. The version is moved to the releasing state, then to the released state once processed. Poll the version to follow its progress.

This operation requires a plan that allows manual releases (see pricing). Otherwise a 400 error is returned.

Path parameters

  • version_id string Required

    UUID of an existing documentation version

Responses

  • 204

    Version is already released, nothing was done

  • 202 application/json

    Version is being released

    Hide response attributes Show response attributes object
    • id string

      Unique id of your version.

    • doc_id string

      Unique id of your documentation.

    • doc_public_url string

      The public URL of your documentation.

    • doc_name string

      The name of the documentation

    • state string

      Deployment state of the version.

      Values are enqueued, deploying, pending_search, deployed, releasing, released, or errored.

  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • message string

      Human readable error message for status 400.

  • 404

    Version not found

  • 409 application/json

    A version of this documentation is currently being released or unreleased

    Hide response attributes Show response attributes object
    • message string

      Human readable error message.

    • errors object

      Hash of invalid attributes with their error messages.

  • 422 application/json

    Only deployed versions can be released

    Hide response attributes Show response attributes object
    • message string

      Human readable error message.

    • errors object

      Hash of invalid attributes with their error messages.

POST /versions/{version_id}/release
curl \
 --request POST 'https://bump.sh/api/v1/versions/{version_id}/release' \
 --header "Authorization: Token $ACCESS_TOKEN"
Response examples (202)
{
  "id": "2361df99-3467-4c80-a0cc-45c9fe565812",
  "doc_id": "3ef8f52f-9056-4113-840e-2f7183b90e06",
  "doc_public_url": "https://bump.sh/doc/my-own-documentation",
  "doc_name": "My API Documentation",
  "state": "released"
}
Response examples (400)
{
  "message": "You need to upgrade your subscription plan to perform this request."
}
Response examples (409)
{
  "message": "Invalid definition file",
  "errors": {
    "raw_definition": [
      "The property '#/paths//docs/{:id}/validations/post' contains additional properties [\"yolo\"] outside of the schema when none are allowed"
    ]
  }
}
Response examples (422)
{
  "message": "Invalid definition file",
  "errors": {
    "raw_definition": [
      "The property '#/paths//docs/{:id}/validations/post' contains additional properties [\"yolo\"] outside of the schema when none are allowed"
    ]
  }
}